#include<bits/stdc++.h>

using namespace std;

typedef long long ll;

int main()
{
  int n, k;
  cin >> n >> k;
  multiset<int> st;
  ll sol = 0, ans = 0;
  for(int i = 0; i + 1  < k ; i++)
    {
      int x;
      cin >> x;
      st.insert(x);
      sol += x;
    }

  for(int i = k; i <= n; i++)
    {
      int x;
      cin >> x;

      ans = max(ans, sol + x + i);

      sol += x;
      st.insert(x);
      sol -= *st.begin();
      st.erase(st.begin());
    }

  cout << ans << endl;
  return 0;
}
